karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Karaf 4.2.1: problem with xerces bundle
Date Mon, 26 Nov 2018 05:47:13 GMT
Hi,

Freeman already fix that in 4.2.2-SNAPSHOT.

Which jdk are you using ?

Regards
JB

On 26/11/2018 06:30, jochenw wrote:
> Hi,
> 
> as soon as I install a feature which drags in the
> org.apache.servicemix.bundles.xerces-2.12.0_1.jar bundle, an XML parsing
> function which uses secure-processing throws the error
> 
> org.xml.sax.SAXNotRecognizedException: Feature
> 'http://javax.xml.XMLConstants/feature/secure-processing' is not recognized.
> 	at org.apache.xerces.parsers.AbstractSAXParser.setFeature(Unknown Source)
> ~[?:?]
> ...
> 
> When re-inserting all the entries related to xml/xerces etc. to
> org.osgi.framework.system.packages.extra in config.properties (just copied
> them from the 4.1.2 file), it works again. It looks like the xerces bundle
> masks the XML parsing functions available in Java, but doesn't provide the
> secure-processing feature (don't know whether that is exactly the right
> explanation - I haven't digged deeper).
> 
> Is there another way to get around this?
> 
> Regards,
> Jochen
> 
> 
> 
> --
> Sent from: http://karaf.922171.n3.nabble.com/Karaf-User-f930749.html
> 

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message